<%@ page contentType="text/html;charset=UTF-8" language="java" %><%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean"%><%@ taglib uri="http://struts.apache.org/tags-html" prefix="html"%><%@ taglib uri="http://struts.apache.org/tags-logic" prefix="logic"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="description" content="StoreWebUserGrounpPermission 添加实体类数据表单，path: 请情: www.juuluu.net " />

<title>StoreWebUserGrounpPermission列表</title>
<link href="<bean:write name="SystemConfigApp" property="appContext"/>/com/goosaa/templete/default.css" type="text/css" rel="stylesheet">
<!--
 * @author http://www.juuluu.org
* tel:020-28983330 mobile:15975485229
 * email:wujavei@126.com  QQ:274390981
 * @see /entryJsp/StoreWebUserGrounpPermissionFromAdd.jsp
 -->

<title> StoreWebUserGrounpPermission </title>

<link href="<bean:write name="SystemConfigApp" property="appContext"/>/com/goosaa/templete/default.css" type="text/css" rel="stylesheet">
<%--  时间控件 --%>

<script type="text/javascript"  src="<bean:write name="SystemConfigApp" property ="appContext"/>/DateTimeCalendar/DateTimeCalendar.js" language="javascript">
</script> 
<script src="<bean:write name="SystemConfigApp" property ="appContext"/>/JuuluuApp/javascript/juuluu.js" type="text/javascript" language="javascript" charset="UTF-8" ></script>

</head>
<body>
<html:errors/>

<div class="title_box"><h1>添加StoreWebUserGrounpPermission</h1></div>

<script type="text/javascript" src="/juuluu.org/javascript/form.js" language="javascript"></script>
<html:form   action="/action/daoAction/StoreWebUserGrounpPermissionAddAction?leixing=tj" method="post"   >
<div id="content">

<p>
<span class="formElementLable">grounpName:</span><html:text property="grounpName" size="30"  maxlength="45"/>
</p>

<br/>
	<html:messages id="zhouWuXingShi" property="BiaoDanChuoWuXingShi.grounpName" message="false">
	<span style="color:red;font-size:16px;">
	<bean:write name="zhouWuXingShi"/>
	</span>
	</html:messages>

<p>
<span class="formElementLable">grounpId:</span><html:text property="grounpId" size="30"  maxlength="45"/>
</p>

<br/>
	<html:messages id="zhouWuXingShi" property="BiaoDanChuoWuXingShi.grounpId" message="false">
	<span style="color:red;font-size:16px;">
	<bean:write name="zhouWuXingShi"/>
	</span>
	</html:messages>

<p>
<span class="formElementLable">storeFileType:</span><html:text property="storeFileType" size="30"  maxlength="45"/>
</p>

<br/>
	<html:messages id="zhouWuXingShi" property="BiaoDanChuoWuXingShi.storeFileType" message="false">
	<span style="color:red;font-size:16px;">
	<bean:write name="zhouWuXingShi"/>
	</span>
	</html:messages>

<p>
<span class="formElementLable">defaultStoreDir:</span><html:text property="defaultStoreDir" size="30"  maxlength="45"/>
</p>

<br/>
	<html:messages id="zhouWuXingShi" property="BiaoDanChuoWuXingShi.defaultStoreDir" message="false">
	<span style="color:red;font-size:16px;">
	<bean:write name="zhouWuXingShi"/>
	</span>
	</html:messages>

<p>
<span class="formElementLable">defaultStoreBankId:</span><html:text property="defaultStoreBankId" size="30"  maxlength="45"/>
</p>

<br/>
	<html:messages id="zhouWuXingShi" property="BiaoDanChuoWuXingShi.defaultStoreBankId" message="false">
	<span style="color:red;font-size:16px;">
	<bean:write name="zhouWuXingShi"/>
	</span>
	</html:messages>

<p>
<span class="formElementLable">是否benableUpload</span><Input type="checkbox" name="benableUpload" checked="checked"  value="true"/>
</p>

<br/>
	<html:messages id="zhouWuXingShi" property="BiaoDanChuoWuXingShi.benableUpload" message="false">
	<span style="color:red;font-size:16px;">
	<bean:write name="zhouWuXingShi"/>
	</span>
	</html:messages>

<p>
<span class="formElementLable">systemKeyWord:</span><html:text property="systemKeyWord" size="30"  maxlength="45"/>
</p>

<br/>
	<html:messages id="zhouWuXingShi" property="BiaoDanChuoWuXingShi.systemKeyWord" message="false">
	<span style="color:red;font-size:16px;">
	<bean:write name="zhouWuXingShi"/>
	</span>
	</html:messages>

<p>
<span class="formElementLable">memberGrounpList:</span><html:text property="memberGrounpList" size="30"  maxlength="45"/>
</p>

<br/>
	<html:messages id="zhouWuXingShi" property="BiaoDanChuoWuXingShi.memberGrounpList" message="false">
	<span style="color:red;font-size:16px;">
	<bean:write name="zhouWuXingShi"/>
	</span>
	</html:messages>
<p>
<input id="StoreWebUserGrounpPermissionFormSubmit" type="button" onClick="return formsubmit()"  value="提交"/> <input type="reset"  value="重设"/>
</p>

</div></html:form>
	<script type="text/javascript" language="javascript" >
	//重设表单
	function resetForm(){
		var formPage=document.forms["StoreWebUserGrounpPermissionForm"];	 formPage.reset();
	 return false;
	}
	
	//提交表单，成功后提交表单
	function formsubmit(){
		var form=document.forms["StoreWebUserGrounpPermissionForm"];
		if(form==null){
			alert("无法获取表单！");
			 	return false;
		}
		if(form!=null){
		//表单验证
		 var formchekcReturn=formcheck();
	 	if(formchekcReturn !=null && formchekcReturn==true){
		form.submit();
	 //将提交按钮设置为失效，防止重复提交
		var formSubmit=document.getElementById("StoreWebUserGrounpPermissionFormSubmit");
	 	formSubmit.disabled= true;
	 	return true;
			 }else{
	 	return false;
		}
	 }//end if
	
	}//end fun
	//表单验证
	function formcheck(){
		var formPage=document.forms["StoreWebUserGrounpPermissionForm"];		if(formPage==null){
			alert("未发现表单！");
			isreturn =false;
			return false;
			
		}
		var isreturn =true;
		//表单defaultStoreBankId元素是否为空
	     var defaultStoreBankId =formPage.defaultStoreBankId;
		var defaultStoreBankIdValue=trim(defaultStoreBankId.value);
			if(defaultStoreBankIdValue==null||defaultStoreBankIdValue==""){
			alert("defaultStoreBankId不能为空！");
			defaultStoreBankId.focus();
			isreturn =false;
			return false;
		}	//end if
		//表单benableUpload元素是否为空
	     var benableUpload =formPage.benableUpload;
		var benableUploadValue=trim(benableUpload.value);
			if(benableUploadValue==null||benableUploadValue==""){
			alert("benableUpload不能为空！");
			benableUpload.focus();
			isreturn =false;
			return false;
		}	//end if
		//表单systemKeyWord元素是否为空
	     var systemKeyWord =formPage.systemKeyWord;
		var systemKeyWordValue=trim(systemKeyWord.value);
			if(systemKeyWordValue==null||systemKeyWordValue==""){
			alert("systemKeyWord不能为空！");
			systemKeyWord.focus();
			isreturn =false;
			return false;
		}	//end if
		
		//表单中文验证
		
		//表单字符长度验证
		
		//表单密码强度验证
		
		//表单是否包含字符验证
		
		//表单过长验证
		
		//判断是否提交表单
		//alert("return :"+isreturn);
		
		if(isreturn ==false){
		
		//	alert("return :"+isreturn);
		return false;
		
		}else{
		isreturn=true;
		//alert("return :"+isreturn);
		return isreturn;
		}
	}
	
	</script>

</body>
</html>

